com.microfocus.awm.meta.util

## Class TaurusResourceImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.common.notify.impl.NotifierImpl
    - - org.eclipse.emf.ecore.resource.impl.ResourceImpl
      - - org.eclipse.emf.ecore.xmi.impl.XMLResourceImpl
        - - com.microfocus.awm.meta.util.TaurusResourceImpl

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.resource.Resource, org.eclipse.emf.ecore.resource.Resource.Internal, org.eclipse.emf.ecore.xmi.XMLResource

      public class TaurusResourceImpl
      extends org.eclipse.emf.ecore.xmi.impl.XMLResourceImpl

  See Also:
    `TaurusResourceFactoryImpl`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.xmi.XMLResource

      `org.eclipse.emf.ecore.xmi.XMLResource.ElementHandler, org.eclipse.emf.ecore.xmi.XMLResource.MissingPackageHandler, org.eclipse.emf.ecore.xmi.XMLResource.ResourceEntityHandler, org.eclipse.emf.ecore.xmi.XMLResource.ResourceHandler, org.eclipse.emf.ecore.xmi.XMLResource.URIHandler, org.eclipse.emf.ecore.xmi.XMLResource.XMLInfo, org.eclipse.emf.ecore.xmi.XMLResource.XMLMap`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.resource.Resource

      `org.eclipse.emf.ecore.resource.Resource.Diagnostic, org.eclipse.emf.ecore.resource.Resource.Factory, org.eclipse.emf.ecore.resource.Resource.Internal, org.eclipse.emf.ecore.resource.Resource.IOWrappedException`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.ecore.xmi.XMLResource

      `HREF, NIL, NO_NAMESPACE_SCHEMA_LOCATION, OPTION_ANY_SIMPLE_TYPE, OPTION_ANY_TYPE, OPTION_BINARY, OPTION_CONFIGURATION_CACHE, OPTION_DECLARE_XML, OPTION_DEFER_ATTACHMENT, OPTION_DEFER_IDREF_RESOLUTION, OPTION_DISABLE_NOTIFY, OPTION_DOM_USE_NAMESPACES_IN_SCOPE, OPTION_ELEMENT_HANDLER, OPTION_ENCODING, OPTION_ESCAPE_USING_CDATA, OPTION_EXTENDED_META_DATA, OPTION_FLUSH_THRESHOLD, OPTION_FORMATTED, OPTION_KEEP_DEFAULT_CONTENT, OPTION_LAX_FEATURE_PROCESSING, OPTION_LAX_WILDCARD_PROCESSING, OPTION_LINE_WIDTH, OPTION_MISSING_PACKAGE_HANDLER, OPTION_PARSER_FEATURES, OPTION_PARSER_PROPERTIES, OPTION_PROCESS_DANGLING_HREF, OPTION_PROCESS_DANGLING_HREF_DISCARD, OPTION_PROCESS_DANGLING_HREF_RECORD, OPTION_PROCESS_DANGLING_HREF_THROW, OPTION_PROXY_ATTRIBUTES, OPTION_RECORD_ANY_TYPE_NAMESPACE_DECLARATIONS, OPTION_RECORD_UNKNOWN_FEATURE, OPTION_RESOURCE_ENTITY_HANDLER, OPTION_RESOURCE_HANDLER, OPTION_ROOT_OBJECTS, OPTION_SAVE_DOCTYPE, OPTION_SAVE_TYPE_INFORMATION, OPTION_SCHEMA_LOCATION, OPTION_SCHEMA_LOCATION_IMPLEMENTATION, OPTION_SKIP_ESCAPE, OPTION_SKIP_ESCAPE_URI, OPTION_SUPPRESS_DOCUMENT_ROOT, OPTION_URI_HANDLER, OPTION_USE_CACHED_LOOKUP_TABLE, OPTION_USE_DEPRECATED_METHODS, OPTION_USE_ENCODED_ATTRIBUTE_STYLE, OPTION_USE_FILE_BUFFER, OPTION_USE_LEXICAL_HANDLER, OPTION_USE_PACKAGE_NS_URI_AS_LOCATION, OPTION_USE_PARSER_POOL, OPTION_USE_XML_NAME_TO_FEATURE_MAP, OPTION_XML_MAP, OPTION_XML_OPTIONS, OPTION_XML_VERSION, SCHEMA_LOCATION, TYPE, XML_NS, XML_SCHEMA_URI, XSI_NS, XSI_URI`

    - ### Fields inherited from interface org.eclipse.emf.ecore.resource.Resource

      `OPTION_CIPHER, OPTION_LINE_DELIMITER, OPTION_LINE_DELIMITER_UNSPECIFIED, OPTION_SAVE_ONLY_IF_CHANGED, OPTION_SAVE_ONLY_IF_CHANGED_FILE_BUFFER, OPTION_SAVE_ONLY_IF_CHANGED_MEMORY_BUFFER, OPTION_ZIP, RESOURCE__CONTENTS, RESOURCE__ERRORS, RESOURCE__IS_LOADED, RESOURCE__IS_MODIFIED, RESOURCE__IS_TRACKING_MODIFICATION, RESOURCE__RESOURCE_SET, RESOURCE__TIME_STAMP, RESOURCE__URI, RESOURCE__WARNINGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaurusResourceImpl(org.eclipse.emf.common.util.URI uri)` Creates an instance of the resource.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.Object,java.lang.Object>` | `getDefaultSaveOptions()`
    `org.eclipse.emf.ecore.EObject` | `getEObject(java.lang.String pUriFragment)` In addition to `ResourceImpl.getEObject(String)` this implementation is able to resolve a mixture of an ID reference and URI fragment.
    `void` | `load(java.util.Map<?,?> pOptions)`

    - ### Methods inherited from class org.eclipse.emf.ecore.xmi.impl.XMLResourceImpl

      `doLoad, doLoad, doLoad, doSave, doSave, getDefaultLoadOptions, getDOMHelper, getEncoding, getEObjectToExtensionMap, getEObjectToIDMap, getID, getIDToEObjectMap, getPublicId, getSystemId, getURIFragment, getXMLVersion, load, load, save, save, setDoctypeInfo, setEncoding, setID, setUseZip, setXMLVersion, toKeyString, useZip`

    - ### Methods inherited from class org.eclipse.emf.ecore.resource.impl.ResourceImpl

      `attached, basicSetResourceSet, delete, detached, getAllContents, getContents, getErrors, getIntrinsicIDToEObjectMap, getResourceSet, getTimeStamp, getURI, getWarnings, isLoaded, isLoading, isModified, isTrackingModification, load, save, save, setIntrinsicIDToEObjectMap, setModified, setTimeStamp, setTrackingModification, setURI, toString, unload`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.NotifierImpl

      `eAdapters, eDeliver, eSetDeliver`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.resource.Resource

      `delete, getAllContents, getContents, getErrors, getResourceSet, getTimeStamp, getURI, getWarnings, isLoaded, isModified, isTrackingModification, load, save, save, setModified, setTimeStamp, setTrackingModification, setURI, unload`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Constructor Detail

    - #### TaurusResourceImpl

          public TaurusResourceImpl(org.eclipse.emf.common.util.URI uri)

      Creates an instance of the resource.
      Parameters:
        `uri` - the URI of the new resource.

  - ### Method Detail

    - #### getEObject

          public org.eclipse.emf.ecore.EObject getEObject(java.lang.String pUriFragment)

      In addition to `ResourceImpl.getEObject(String)` this implementation is able to resolve a mixture of an ID reference and URI fragment. It is used to maintain references of EObjects which cannot be resolved, more specifically AWM function package defined EClasses of which the function package is not installed/available.

      Example:
      `#TOOL_MyFunctionPackage_MyTool/@inputParm.3`

      This functionality is currently limited to `RToolInParameter` references.

      Specified by:
        `getEObject` in interface `org.eclipse.emf.ecore.resource.Resource`
      Overrides:
        `getEObject` in class `org.eclipse.emf.ecore.resource.impl.ResourceImpl`
      See Also:
        `TaurusXMLHelper.getHREF(EObject)`

    - #### getDefaultSaveOptions

          public java.util.Map<java.lang.Object,java.lang.Object> getDefaultSaveOptions()

      Specified by:
        `getDefaultSaveOptions` in interface `org.eclipse.emf.ecore.xmi.XMLResource`
      Overrides:
        `getDefaultSaveOptions` in class `org.eclipse.emf.ecore.xmi.impl.XMLResourceImpl`

    - #### load

          public void load(java.util.Map<?,?> pOptions)
                    throws java.io.IOException

      Specified by:
        `load` in interface `org.eclipse.emf.ecore.resource.Resource`
      Overrides:
        `load` in class `org.eclipse.emf.ecore.resource.impl.ResourceImpl`
      Throws:
        `java.io.IOException`

Copyright © 2015 Micro Focus GmbH. All rights reserved.